package cn.ey.biz.module.weaver.common;

import com.google.common.collect.Lists;
import org.springframework.http.MediaType;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;

import java.util.List;

/**
 * Http Message Converter
 *
 */
public class TextPlainJackson2HttpMessageConverter extends MappingJackson2HttpMessageConverter {

    public TextPlainJackson2HttpMessageConverter() {
        List<MediaType> types = Lists.newArrayList(MediaType.APPLICATION_JSON, MediaType.TEXT_PLAIN);
        setSupportedMediaTypes(types);
    }

}
